import { BaseInput } from './inputs/base-input';
import { State } from './interfaces/state';
export declare class Input {
    private InputIDs;
    private element;
    private inputs;
    constructor(InputIDs: string[], element: HTMLElement);
    private init;
    addInput(id: string, input: BaseInput): this;
    capture(preventDefault?: boolean): void;
    release(): void;
    getState(): State;
}
